<?php

if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly
}

class EventM_Public {
    private static $instance = null;
    private function __construct() {
        add_action('wp_enqueue_scripts', array($this, 'enqueues'));
    }
    
    public static function get_instance()
    {   
        if (self::$instance === null) {
            self::$instance = new self();
        }

        return self::$instance;
    }
    
    public function enqueues() {
        //wp_enqueue_script('jquery-ui-dialog',null,array('jquery'));
        wp_register_script('em-angular', plugin_dir_url(__DIR__) . 'includes/js/angular.js', array('jquery'));
        wp_register_script('dir-pagination', plugin_dir_url(__DIR__) . 'includes/admin/template/js/dirPagination.js', array('em-angular'));
        wp_register_script('em-angular-module', plugin_dir_url(__DIR__) . 'includes/admin/template/js/em-module.js', array('em-angular', 'dir-pagination'));
        wp_localize_script('em-angular-module', 'em_ajax_object', array('ajax_url' => admin_url('admin-ajax.php')));
        wp_register_script('em-booking-controller', plugin_dir_url(__DIR__) . 'includes/templates/js/em-booking-controller.js', array('em-angular-module'));
        wp_register_script('em-user-register-controller', plugin_dir_url(__DIR__) . 'includes/templates/js/em-register-controller.js', array('em-angular-module'));
        wp_register_script('em-public', plugin_dir_url(__DIR__) . 'includes/templates/js/em-public.js', array('jquery', 'jquery-ui-datepicker'));
        wp_register_script('moment', EM_BASE_URL . 'includes/templates/js/moment.min.js');
        wp_register_script('em-full-calendar', EM_BASE_URL . 'includes/templates/js/calendar-3.9.0.js', array('jquery', 'moment'));
        wp_register_script('em-calendar-util', EM_BASE_URL . 'includes/templates/js/em-calendar-util.js', array('em-full-calendar', 'em-public'));
        wp_register_script("jquery-colorbox", plugin_dir_url(__DIR__) . 'includes/templates/js/jquery.colorbox.js', array('jquery'));
        wp_register_script('font-awesome', plugin_dir_url(__DIR__) . 'includes/js/font_awesome.js', false);
        wp_register_script('em-google-map', plugin_dir_url(__DIR__) . 'includes/js/em-map.js', false);
        wp_register_script('em-ctabs', plugin_dir_url(__DIR__) . 'includes/templates/js/em_custom_tabs.js', false);
        wp_register_style('em_responsive_slider_style', plugin_dir_url(__DIR__) . 'includes/templates/css/responsiveslides.css');
        wp_register_script('em_responsive_slider_js', plugin_dir_url(__DIR__) . 'includes/templates/js/responsiveslides.min.js');
        
        wp_register_style('em-ctabs-css', plugin_dir_url(__DIR__) . 'includes/templates/css/em_custom_tabs.css', false);
        wp_register_style('jquery-ui-css', EM_BASE_URL . 'includes/templates/css/jquery-ui.css');
        wp_register_style('em-public-css', plugin_dir_url(__DIR__) . '/includes/templates/css/em_public.css', array('jquery-ui-css'));
        wp_register_style("em-colorbox-css", plugin_dir_url(__DIR__) . 'includes/templates/css/colorbox.css');
        wp_register_style('em-full-calendar-css', EM_BASE_URL . 'includes/templates/css/calendar.min.css', array('em-public-css'));
        wp_register_script("em-single-event", plugin_dir_url(__DIR__) . 'includes/templates/js/em-single-event.js',array('jquery'));
        wp_register_script("fontawesome", plugin_dir_url(__DIR__) . 'includes/js/font_awesome.js',array('jquery'));
         
        wp_localize_script('em-public', 'em_js_vars', em_global_js_strings());
    }

}
EventM_Public::get_instance();
