var requestInProgress = false;

function progressStart()
{
    requestInProgress = true;
}

function progressStop()
{
    requestInProgress = false;
}

function em_show_venues_map(element_id, addresses) {
    /*
     * To store all the marker object for further operations
     * @type Array
     */
    var allMarkers = [];
    /*
     * Map object with default location and zoom level
     * @type google.maps.Map
     */

    var map = new google.maps.Map(document.getElementById(element_id), {
        center: {lat: -34.397, lng: 150.644},
        zoom: 2
    });

    /*
     * Textbox to contain formatted address. Same input box can be used to search location either 
     * by lat long or by address.
     * @type Element
     */

    var geocoder = new google.maps.Geocoder;


    // Adding marker on map for multiple addresses
    if (addresses) {
        geocodeAddress(geocoder, map, addresses);
    }


    // Sets the map on all markers in the array.
    function setMapOnAll(map) {
        for (var i = 0; i < allMarkers.length; i++) {
            allMarkers[i].setMap(map);
        }
    }

    /**
     * @summary Add markers from array of addresses.
     * @param {google.maps.Geocoder} geocoder
     * @param {google.maps.Map} resultsMap
     * @param {String Array} addresses
     * 
     */
    function geocodeAddress(geocoder, resultsMap, addresses) {

        for (var i = 0; i < addresses.length; i++)
        {
            var address = addresses[i];
            if (address) {

                geocoder.geocode({'address': address}, function (results, status) {
                    if (status === google.maps.GeocoderStatus.OK) {
                        resultsMap.setCenter(results[0].geometry.location);
                        var marker = new google.maps.Marker({
                            map: resultsMap,
                            position: results[0].geometry.location,
                            //    icon: em_map_info.gmarker
                        });
                        var infowindow = new google.maps.InfoWindow;

                        infowindow.setContent(results[0].formatted_address);
                        marker.addListener('click', function () {
                            infowindow.open(map, marker);
                        });

                        allMarkers.push(marker);
                        //  infowindow.open(map, marker);
                    } else if (status == google.maps.GeocoderStatus.OVER_QUERY_LIMIT)
                    {
                        setTimeout(1000);//   document.getElementById('status').innerHTML +="request failed:"+status+"<br>";
                    } else {

                        //alert('Geocode was not successful for the following reason: ' + status);
                    }
                });
            }
        }
        ;

    }

}

function em_padNumber(number) {
    var ret = new String(number);
    if (ret.length == 1)
        ret = "0" + ret;
    return ret;
}


function em_start_timer(duration, display) {
    var start = Date.now(),
            diff,
            minutes,
            seconds,
            stop = false,
            counter = 1;
    function timer() {
        if (!stop)
        {
            // get the number of seconds that have elapsed since
            // startTimer() was called
            diff = duration - (((Date.now() - start) / 1000) | 0);

            // does the same job as parseInt truncates the float

            minutes = (diff / 60) | 0;
            seconds = (diff % 60) | 0;
            minutes = minutes < 10 ? "0" + minutes : minutes;
            seconds = seconds < 10 ? "0" + seconds : seconds;
            display.textContent = minutes + ":" + seconds;


            if (diff <= 0) {
                // add one second so that the count down starts at the full duration
                // example 04:00 not 03:59
                start = Date.now() + 1000;
            }

            if (diff == 0) {
                stop = true;
            } else {
                counter++;
                jQuery("#em_payment_progress").width(counter * (100 / 240) + "%");
            }


        }
    }
    ;
    // we don't want to wait a full second before the timer starts

    timer();
    setInterval(timer, 1000);
}


function rm_event_map_canvas(element_id, venue) {
    em_show_venues_map(element_id, venue);
}

function em_show_venue_map(element_id) {
    jQuery.ajax({
        type: "POST",
        url: em_js_vars.ajax_url,
        data: {action: 'em_load_venue_addresses'},
        success: function (response) {

            var data = JSON.parse(response);
            em_show_venues_map(element_id, data);
        }
    });
}

function em_event_booking(id) {
    if (id > 0)
    { var formName = 'em_booking' + id;
        jQuery('form[name=' + formName + ']').submit();
    } 
    else
        document.em_booking.submit();
}



function em_event_map_canvas(element_id, venue) {
    jQuery.ajax({
        type: "POST",
        url: em_js_vars.ajax_url,
        data: {action: 'em_load_venue_addresses', venue_id: venue},
        success: function (response) {
            var data = JSON.parse(response);
            em_show_venues_map(element_id, data);
        }
    });
}

function em_single_venue_map_canvas(element_id, venue) {
    //  alert(venue);
    jQuery.ajax({
        type: "POST",
        url: em_js_vars.ajax_url,
        data: {action: 'em_load_venue_addresses', venue_id: venue},
        success: function (response) {
            var data = JSON.parse(response);
            em_show_venues_map(element_id, data);
        }
    });
}

function em_booking_map_canvas(element_id, venue) {
    jQuery.ajax({
        type: "POST",
        url: em_js_vars.ajax_url,
        data: {action: 'em_load_venue_addresses', venue_id: venue},
        success: function (response) {

            var data = JSON.parse(response);
            //  alert(data);
            em_show_venues_map(element_id, data);
        }
    });
}

function em_user_event_venue(element_id, venue) {
    jQuery.ajax({
        type: "POST",
        url: em_js_vars.ajax_url,
        data: {action: 'em_load_venue_addresses', venue_id: venue},
        success: function (response) {
            var data = JSON.parse(response);
            em_show_venues_map(element_id, data);
        }
    });
}
function em_change_dp_css()
{
    $ = jQuery;
    $(".em_widget_container .ui-datepicker-header").removeClass("ui-widget-header");
    var emColor = $('.em_widget_container').find('a').css('color');
    $(".em_color").css('color', emColor);
    $(".em_widget_container .ui-datepicker-header").css('background-color', emColor);
    $(".em_widget_container .ui-datepicker-current-day").css('background-color', emColor);
}


function em_show_calendar(dates) {
    $ = jQuery;
    $("#em_calendar_widget").datepicker({
        onChangeMonthYear: function () {
            setTimeout(em_change_dp_css, 40);
            return;
        },
        onHover: function () {},
        onSelect: function (dateText, inst) {
            var gotDate = $.inArray(dateText, dates);
            if (gotDate >= 0)
            {
                // Accessing only first element to avoid conflict if duplicate element exists on page
                $("#em_start_date:first").val(dateText);
                var search_url = $("form[name='em_calendar_event_form']:first").attr('action');
                search_url = em_add_param_to_url("em_s=" + $("input[name='em_s']:first").val(), search_url);
                search_url = em_add_param_to_url("em_sd=" + dateText, search_url);
                location.href = search_url;
            }

        },
        beforeShowDay: function (date) {
            setTimeout(em_change_dp_css, 10);
            var year = date.getFullYear();
            // months and days are inserted into the array in the form, e.g "01/01/2009", but here the format is "1/1/2009"
            var month = em_padNumber(date.getMonth() + 1);
            var day = em_padNumber(date.getDate());
            // This depends on the datepicker's date format
            var dateString = year + "-" + month + "-" + day;

            var gotDate = $.inArray(dateString, dates);
            if (gotDate >= 0) {
                // Enable date so it can be deselected. Set style to be highlighted
                return [true, "em-cal-state-highlight"];
            }
            // Dates not in the array are left enabled, but with no extra style
            return [true, ""];
        }, changeMonth: true, changeYear: true, dateFormat: "yy-mm-dd"
    });

    em_change_dp_css();
}

function em_cancel_booking(booking_id)
{
    $ = jQuery;
    $("#em_booking_details_modal").addClass("kf_progress_screen");
    $.ajax({
        type: "POST",
        url: em_js_vars.ajax_url,
        data: {action: 'em_cancel_booking_by_user', post_id: booking_id},
        success: function (response) {
            $("#em_booking_details_modal").removeClass('kf_progress_screen');
            var data = JSON.parse(response);
            if (data.error == false)
            {
                $("#em_booking_status").html(data.status);
                $("#em_action_bar").remove();
                $("#em_print_bar").remove();

            } else
            {
                alert("Booking could not be cancelled");
            }
        }
    });
}

function em_set_dominent_color()
{
    $ = jQuery;
    $("#primary.content-area .entry-content").prepend("<a>");
    var emColor = $('.emagic, #primary.content-area .entry-content').find('a').css('color');
    $(".em_color").css('color', emColor);
    $(".emagic .em_event_views .ep-event-view-sort.ep-active-view a").css('color', emColor);
    $(".emagic .em_event_views_wrap .em_event-filter-reset button").css('color', emColor);
    var style = document.createElement('style');
    style.type = 'text/css';
    style.innerHTML = '.em_bg {background-color:' + emColor + ' !important;} .em_color{color:' + emColor + ' !important;}';
    document.getElementsByTagName('head')[0].appendChild(style);
    $("li").css('border-color', emColor);
    $(".emagic .em_card .em-cards-footer .em_eventpage_register button.em_event-booking").css('color',emColor)
}
//CSS Manipulation

function em_width_adjust(cardClass) {
    $ = jQuery;
    kfWidth = $(".emagic").innerWidth();
    if (kfWidth < 720) {
        $(".emagic").addClass("narrow");
    }
    switch (true) {
        case kfWidth <= 650:
            $(cardClass).addClass("em_card1");
            break;
        case kfWidth <= 850:
            $(cardClass).addClass("em_card2");
            break;
        case kfWidth <= 1150:
            $(cardClass).addClass("em_card3");
            break;
        case kfWidth <= 1280:
            $(cardClass).addClass("em_card4");
            break;
        case kfWidth > 1280:
            $(cardClass).addClass("em_card5");
            break;
        default:
            $(cardClass).addClass("em_card2");
            break;
    }
}

function em_add_param_to_url(param, url) {
    _url = url;
    _url += (_url.split('?')[1] ? '&' : '?') + param;
    return _url;
}


/*********************** On Ready statement ***************/
jQuery(document).ready(function () {
    $ = jQuery;

    $('.emagic').prepend('<a></a>'); // Prepending a tag to detect dominent color
    em_width_adjust(".em_card");
    em_width_adjust(".em_performer_card");

    $("#em_register").click(function () { // Event register button
        $('html, body').animate({
            scrollTop: $("#em_register_section").offset().top
        }, 500);
    });

    em_set_dominent_color(); // Setting dominent colors for nice theme.

    // Events directory filter mouse leave
    $('.ep-event-filter-block .ep-event-types').mouseleave(function () {
        $(this).find('.ep-event-types-wrap').hide();
    });

    // For Event calendar widget 
    if ($("#em_calendar_widget").length > 0) {
        // Send ajax request to get all the event start dates
        $.ajax({
            type: "POST",
            url: em_js_vars.ajax_url,
            data: {action: 'em_load_event_dates'},
            success: function (response) {
                var data = JSON.parse(response);
                var dates = data.start_dates;
                em_show_calendar(dates);
            }
        });
    }

    if ($("#rm_map_canvas").length > 0) {
        var venue_name = $("#rm_map_canvas").attr("data-venue-name");
        rm_event_map_canvas("rm_map_canvas", venue_name);
    }

    // Global form reset 
    $('.em_reset_date_btn').on('click', function () {
        var field_selector = $(this).data('field');
        var form = $(this).closest('form');
        if (field_selector.length > 0 && form.length > 0) {
            form.find(field_selector).val('');
        }
    });

    // Global datepicker configuration
    var em_filter_date= $(".em_date");
    if(em_filter_date.length>0){
        em_filter_date.datepicker({
            dateFormat: em_js_vars.date_format
        }).datepicker(new Date());
        if(em_filter_date.val()==''){
            dt= new Date();
            em_filter_date.val(dt.getFullYear() + '-' + ("0" + (dt.getMonth() + 1)).slice(-2) + '-' + dt.getDate());
        }
    }
    

    $('.em_hide_filter').click(function () {
        $(this).closest('form').find('.kf-event-search-filter').toggle();
    });

    $('.ep-event-title.ep_menu_item_visible').click(function () {
        $(this).closest('form').find('.ep_menu_item_hide').toggle();
    });

    // Event card wrapping
    var cards = $('.emagic .em_card.em_card2');
    if (cards.length) {
        for (var i = 0; i < cards.length; i += 2) {
            cards.slice(i, i + 2).wrapAll('<div class="em-cards-wrap"></div>');
        }
    }


    cards = $('.emagic .em_card.em_card3');
    if (cards.length) {
        for (var i = 0; i < cards.length; i += 3) {
            cards.slice(i, i + 3).wrapAll('<div class="em-cards-wrap"></div>');
        }
    }


    cards = $('.emagic .em_card.em_card4');
    if (cards.length) {
        for (var i = 0; i < cards.length; i += 4) {
            cards.slice(i, i + 4).wrapAll('<div class="em-cards-wrap"></div>');
        }
    }

    $('.em_event_cover a').each(function () {
        var wrapper = $(this);
        url = wrapper.find('img').prop('src');
        if (url) {
            wrapper
                    .css('backgroundImage', 'url(' + url + ')')
                    .addClass('em-compat-object-fit')
                    .children('img').hide();
        }
    });
    
    $(".em_event_disabled .kf_ticket_price,.em_event_disabled .em-cards-footer,.em_event_disabled .kf-upcoming-event-price,.em_event_disabled .kf-upcoming-event-booking").hide();
});

function event_magic_print(el)
{
    $= jQuery;
    
    $("#"+el).printThis({
        importCSS: true,                // import parent page css
        importStyle: false,             // import style tags
        printContainer: true,           // grab outer container as well as the contents of the selector
        pageTitle: "",                  // add title to print page
        removeInline: false,            // remove all inline styles from print elements
        removeInlineSelector: "body *", // custom selectors to filter inline styles. removeInline must be true
        header: null,                   // prefix to html
        footer: null,                   // postfix to html 
        beforePrint: function(){ $("#"+el).show()},
        afterPrint: function(){$("#"+el).hide()}
   });
}

function em_show_ticket_print_btn(print_container){
    $= jQuery;
    el=$("#em_print_btn");
    if(el.length==0)
        return; 
    el.show();
}

function print_seating_ticket(url){
   var selected_val= jQuery("#em_seat_no").val();
   if(selected_val){
       url= url + '&seat_no=' + selected_val;
   }
   document.location.href=url;
}